/*
 * Copyright (c) 2017 Samsung Electronics Co., Ltd. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __RUA_DBUS_H__
#define __RUA_DBUS_H__

typedef enum {
	ADD,
	DELETE,
	UPDATE
} update_type;

int rua_dbus_send_update_signal(update_type type);
int rua_dbus_signal_subscribe(rua_history_update_cb callback,
		void *user_data, int *callback_id);
int rua_dbus_signal_unsubscribe(int callback_id);

#endif				/*__RUA_DBUS_H__*/
